#ifndef DATABASECONNECTOR_H
#define DATABASECONNECTOR_H

#include <QObject>
#include <QTimer>

class DatabaseConnector : public QObject
{
    Q_OBJECT

public:
    explicit DatabaseConnector();
    ~DatabaseConnector();

    void init(const QString &databaseName,
              const QString &hostName,
			  const quint16 port,
              const QString &userName,
              const QString &password);
    bool isOpen();

	void transaction();
	void commit();
    void rollback();
private:
    bool status;
};

#endif // DATABASECONNECTOR_H
